For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device authorization

Device Authorization

post

OAuth2 device authorization endpoint.

This endpoint implements the OAuth2 device authorization grant flow as defined in https://tools.ietf.org/html/rfc8628. It is called to initiate the device authorization flow by requesting a device and user code for a given client ID.

For a new client ID, a new OAuth device is created, stored in the DB and returned to the client along with a pair of newly generated device and user codes. If a device for the given client ID already exists, the existing DB entry is reused and new device and user codes are generated.

Args: request: The request object. client_id: The client ID.

Returns: The device authorization response.

Raises: HTTPException: If the device authorization is not supported.

Body
client_idstring · uuidRequired
Responses
200

Successful Response

application/json

OAuth2 device authorization grant response.

device_codestringRequired
user_codestringRequired
verification_uristringRequired
verification_uri_completeany ofOptional
stringOptional
or
nullOptional
expires_inintegerRequired
intervalintegerRequired
post
/api/v1/device_authorization
ZenML Scarf

Last updated

Was this helpful?